﻿----------------------------------
--      Module Declaration      --
----------------------------------

local boss = BB["Lavanthor"]
local mod = BigWigs:New(boss, tonumber(("$Revision: 543 $"):sub(12, -3)))
if not mod then return end
mod.partyContent = true
mod.otherMenu = "Dalaran"
mod.zonename = BZ["The Violet Hold"]
mod.enabletrigger = boss 
mod.guid = 29312
mod.toggleoptions = {"bosskill"}

----------------------------------
--         Localization         --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

L:RegisterTranslations("enUS", function() return {
	cmd = "Lavanthor",
}

end )

L:RegisterTranslations("deDE", function() return {
	cmd = "Lavanthor",
}

end )

L:RegisterTranslations("esES", function() return {
}

end )

L:RegisterTranslations("esMX", function() return {
}

end )

L:RegisterTranslations("frFR", function() return {
	cmd = "Lavanthor",
}

end )

L:RegisterTranslations("koKR", function() return {
	cmd = "라반토르",
}

end )

L:RegisterTranslations("ruRU", function() return {
	cmd = "Lavanthor",
}

end )

L:RegisterTranslations("zhCN", function() return {
}

end )

L:RegisterTranslations("zhTW", function() return {
	cmd = "拉方索",
}

end )

----------------------------------
--        Initialization        --
----------------------------------

function mod:OnEnable()
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

----------------------------------
--        Event Handlers        --
----------------------------------
